// @APIVersion 1.0.0
// @Title oc-scheduler
// @Description Manage workflows booking
// @Contact admin@o-cloud.io
// @TermsOfServiceUrl http://cloud.o-forge.io/
// @License AGPL
// @LicenseUrl https://www.gnu.org/licenses/agpl-3.0.html
package routers

import (
	"oc-scheduler/controllers"

	beego "github.com/beego/beego/v2/server/web"
)

func init() {
	ns := beego.NewNamespace("/oc/",
		beego.NSInclude(
			&controllers.WorkflowSchedulerController{},
		),
		beego.NSNamespace("/loki",
			beego.NSInclude(
				&controllers.LokiController{},
			),
		),
		beego.NSNamespace("/execution",
			beego.NSInclude(
				&controllers.WorkflowExecutionController{},
			),
		),
		beego.NSNamespace("/version",
			beego.NSInclude(
				&controllers.VersionController{},
			),
		),
	)

	beego.AddNamespace(ns)
}
